import { StringValueNode, TypeNode } from 'graphql';
import { CSharpFieldType, ListTypeField } from './c-sharp-field-types.js';
export declare function transformComment(comment: string | StringValueNode, indentLevel?: number): string;
export declare function isValueType(type: string): boolean;
export declare function getListTypeField(typeNode: TypeNode): ListTypeField | undefined;
export declare function getListTypeDepth(listType: ListTypeField): number;
export declare function getListInnerTypeNode(typeNode: TypeNode): TypeNode;
export declare function wrapFieldType(fieldType: CSharpFieldType, listTypeField?: ListTypeField, listType?: string): string;
